# M0519 CMSIS BSP

This BSP folder

## .\Document\


- NuMicro M0519 Series CMSIS BSP Revision History.pdf<br>
	Show all the revision history about specific BSP.

- NuMicro M0519 Driver Reference Guide.chm<br>
	Describe the definition, input and output of each API.

## .\Library\


- CMSIS<br>
	CMSIS definitions by ARM® Corp.

- Component<br>
	Library for peripheral components.

- Device<br>
	CMSIS compliant device header file.

- StdDriver<br>
	All peripheral driver header and source files.


## .\Sample Code\


- FreeRTOS<br>
	Simple FreeRTOS™ demo code.

- Hard\_Fault\_Sample<br>
	Show hard fault information when hard fault happened.

- ISP<br>
	Sample codes for In-System-Programming.

- Template<br>
	Software Development Template.

- Semihost<br>
	Show how to debug with semi-host message print.

- RegBased<br>
	The sample codes which access control registers directly.

- StdDriver<br>
	M0519 Series Driver Samples

## .\ThirdParty\


- FATFS<br>
	An open source FAT/exFAT filesystem library.

- FreeRTOS<br>
	FreeRTOS porting for M0519.

# Licesne

**SPDX-License-Identifier: Apache-2.0**

Copyright in some of the content available in this BSP belongs to third parties.
Third parties license is specified in a file header or license file.
M0519 BSP files are provided under the Apache-2.0 license.

